# Tomcat
server:
  port: 8080

# nacos线上地址
nacos:
  addr: 47.101.53.251:8848
  user-name: nacos
  password: nacos
  namespace: four

# Spring
spring:
  application:
    # 应用名称
    name: cloud-gateway
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: ${nacos.addr}
        # nacos用户名
        username: ${nacos.user-name}
        # nacos密码
        password: ${nacos.password}
        # 命名空间
        namespace: ${nacos.namespace}
      config:
        # 服务注册地址
        server-addr: ${nacos.addr}
        # nacos用户名
        username: ${nacos.user-name}
        # nacos密码
        password: ${nacos.password}
        # 命名空间
        namespace: ${nacos.namespace}
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          # 系统共享配置
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
          # 系统环境Config共享配置
          - application-config-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
    sentinel:
      # 取消控制台懒加载
      eager: true
      transport:
        # 控制台地址
        dashboard: 127.0.0.1:8718
      # nacos配置持久化
      datasource:
        ds1:
          nacos:
            server-addr: ${nacos.addr}
            dataId: sentinel-cloud-gateway
            groupId: DEFAULT_GROUP
            namespace: ${nacos.namespace}
            data-type: json
            rule-type: gw-flow
knife4j:
  gateway:
    enabled: true
    # 指定服务发现的模式聚合微服务文档，并且是默认`default`分组
    strategy: discover
    discover:
      enabled: true
      # 指定版本号(Swagger2|OpenAPI3)
      version : openapi3
      # 需要排除的微服务(eg:网关服务)
      excluded-services:
        - cloud-monitor
